Skip to main content

Update Match Player

PUT 

/match/v1/player/:player_uuid/match/:match_id

Update player match record for the provided player_uuid and match_id

Match must be in pending state to be updated.

any of: match:*, match:match:edit:any - update any match.

any of: match:*, match:match:edit:any, match:match:edit:authority - update match if the player is the host of the match.

Request

Path Parameters

    player_uuid uuidrequired
    match_id Match Idrequired

Body

required

    player_uuid uuid

    team_id

    object

    Team ID the player was on

    anyOf

    string

    party_session_id

    object

    Party session ID the player was in

    anyOf

    string

    placement

    object

    Placement of the player in the match

    anyOf

    integer

    joined_match_timestamp

    object

    Time the player joined the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    left_match_timestamp

    object

    Time the player left the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    duration_seconds

    object

    Duration in seconds the player was in the match

    anyOf

    integer

    starting_rank

    object

    Starting rank of the player in the match

    anyOf

    string

    finishing_rank

    object

    Finishing rank of the player in the match

    anyOf

    string

    custom_data

    object

    Custom data for the player

    anyOf

    property name* string

Responses

Successful Response

Schema

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    player_uuid uuid

    team_id

    object

    Team ID the player was on

    anyOf

    string

    party_session_id

    object

    Party session ID the player was in

    anyOf

    string

    placement

    object

    Placement of the player in the match

    anyOf

    integer

    joined_match_timestamp

    object

    Time the player joined the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    left_match_timestamp

    object

    Time the player left the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    duration_seconds

    object

    Duration in seconds the player was in the match

    anyOf

    integer

    starting_rank

    object

    Starting rank of the player in the match

    anyOf

    string

    finishing_rank

    object

    Finishing rank of the player in the match

    anyOf

    string

    custom_data

    object

    Custom data for the player

    anyOf

    property name* string

    match

    object

    required

    Match the player was in

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    type

    object

    Type of match

    anyOf

    string

    state

    object

    State of the match

    anyOf

    Match States.

    string

    Possible values: [pending, closed]

    start_timestamp

    object

    Start time of the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    end_timestamp

    object

    End time of the match

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

    duration_seconds

    object

    Duration in seconds of the match

    anyOf

    integer

    custom_data

    object

    Custom data for the match

    anyOf

    property name* string

    correlation_id

    object

    Correlation ID for the match

    anyOf

    string

    sessions

    object[]

    List of session IDs for the match

  • Array [

  • session_id Session Id (string)required

    Possible values: non-empty and <= 128 characters

    Session ID

    matchmaking_profile_id

    object

    Profile ID

    anyOf

    string

  • ]

  • instances

    object[]

    List of MatchInstances for the match

  • Array [

  • instance_id Instance Id (string)required

    Possible values: non-empty and <= 128 characters

    Instance ID

    host_player_uuid

    object

    Player UUID of the host

    anyOf

    string

    region_id

    object

    Region ID the instance is in

    anyOf

    string

    instance_request_template_id

    object

    Launch request template ID

    anyOf

    string

    map

    object

    Map the instance is on

    anyOf

    string

    game_mode

    object

    Game mode the instance is in

    anyOf

    string

    host_type

    object

    Type of host

    anyOf

    Whether the host is another player, or a dedicated instance

    string

    Possible values: [dedicated, player]

  • ]

  • allocations

    object[]

    List of allocation IDs for the match

  • Array [

  • allocation_id Allocation Id (string)required

    Possible values: non-empty and <= 128 characters

    Allocation ID

  • ]

  • match_id Match Id (string)

    Possible values: non-empty and <= 128 characters

Loading...